Lock event pricing
curl --request POST \
--url https://app.rookoo.ai/api/v1/accounts/{account_id}/planning/pricing/lock \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"event_id": "<string>",
"pricing_plan_id": 123
}
'const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({event_id: '<string>', pricing_plan_id: 123})
};
fetch('https://app.rookoo.ai/api/v1/accounts/{account_id}/planning/pricing/lock', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.rookoo.ai/api/v1/accounts/{account_id}/planning/pricing/lock"
payload = {
"event_id": "<string>",
"pricing_plan_id": 123
}
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){}{
"error": "<string>"
}Planning Pricing
Lock event pricing
Calculate and store locked pricing on the event metadata. When the planning_quotes feature is enabled, use quotes instead of lock.
POST
/
api
/
v1
/
accounts
/
{account_id}
/
planning
/
pricing
/
lock
Lock event pricing
curl --request POST \
--url https://app.rookoo.ai/api/v1/accounts/{account_id}/planning/pricing/lock \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"event_id": "<string>",
"pricing_plan_id": 123
}
'const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({event_id: '<string>', pricing_plan_id: 123})
};
fetch('https://app.rookoo.ai/api/v1/accounts/{account_id}/planning/pricing/lock', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.rookoo.ai/api/v1/accounts/{account_id}/planning/pricing/lock"
payload = {
"event_id": "<string>",
"pricing_plan_id": 123
}
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){}{
"error": "<string>"
}Authorizations
This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.
Path Parameters
The numeric ID of the account
Response
Locked pricing payload
The response is of type object.